<< triang | FOSSEE_Signal_Processing_Toolbox | truth >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > tripuls

# tripuls

This function generates a triangular pulse over the interval [-w/2, w/2] sampled at times t.

### Syntax

    y = tripuls(t)
    y = tripuls(t, w)
    y = tripuls(t, w, skew)

### Parameters

t:

  Vector of real numbers

w:

  Real number. The default value is 1.

skew:

  Real number in the interval [-1, 1], The default value is 0.

### Description

This function generates a triangular pulse which is sampled at times t over the interval [-w/2,w/2]. The value of skew lies between -1 and 1. The value of skew represents the relative placement of the peak in the given width.

### Examples

    tripuls([0, .5, .6, 1], 0.9)

Report an issue
<< triang | FOSSEE_Signal_Processing_Toolbox | truth >>